hostid(1)

NAME
hostid - set or print system's host id.

SYNTAX
hostid [-v] [decimal-id]

DESCRIPTION
The hostid command prints the current host id number in hexadecimal and both decimal and hexadecimal in parenthesis if the -v option is given. This numeric value is expected to be unique across all hosts and is normally set to resemble the host's Internet address. Only the super-user can set the hostid by giving an argument. This value is stored in the file /etc/hostid and need only be performed once.

AUTHOR
Hostid is written by Mitch DSouza - (m.dsouza@mrc-apu.cam.ac.uk)

SEE ALSO
gethostid(2), sethostid(2)